Package: groovy.model

## [Java] Class DefaultTableModel

- groovy.model.DefaultTableModel

- A default table model made up of PropertyModels on a Value model.

  Authors:
    James Strachan

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `protected static class` | `DefaultTableModel.MyTableColumnModel` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultTableModel (ValueModel rowsModel)`
    `DefaultTableModel (ValueModel rowsModel, ValueModel rowModel)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `DefaultTableColumn` | `addClosureColumn(Object headerValue, Closure readClosure, Closure writeClosure, Class type)` Adds a closure based column to the table
    `` | `DefaultTableColumn` | `addColumn(Object headerValue, ValueModel columnValueModel)`
    `` | `DefaultTableColumn` | `addColumn(Object headerValue, Object identifier, ValueModel columnValueModel)`
    `` | `void` | `addColumn(DefaultTableColumn column)` Adds a new column definition to the table
    `` | `DefaultTableColumn` | `addPropertyColumn(Object headerValue, String property, Class type)` Adds a property model column to the table
    `` | `DefaultTableColumn` | `addPropertyColumn(Object headerValue, String property, Class type, boolean editable)` Adds a property model column to the table
    `` | `Class` | `getColumnClass(int columnIndex)`
    `` | `int` | `getColumnCount()`
    `` | `List` | `getColumnList()` @return the column definitions.
    `` | `TableColumnModel` | `getColumnModel()`
    `` | `protected ValueModel` | `getColumnModel(int columnIndex)`
    `` | `String` | `getColumnName(int columnIndex)`
    `` | `int` | `getRowCount()`
    `` | `ValueModel` | `getRowModel()`
    `` | `protected List` | `getRows()`
    `` | `ValueModel` | `getRowsModel()`
    `` | `Object` | `getValueAt(int rowIndex, int columnIndex)`
    `` | `boolean` | `isCellEditable(int rowIndex, int columnIndex)`
    `` | `void` | `removeColumn(DefaultTableColumn column)` Removes a column definition from the table
    `` | `void` | `setValueAt(Object value, int rowIndex, int columnIndex)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class AbstractTableModel`

    `findColumn, getColumnName, getTableModelListeners, fireTableDataChanged, getColumnClass, isCellEditable, setValueAt, addTableModelListener, removeTableModelListener, getListeners, fireTableStructureChanged, fireTableChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableCellUpdated, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait, getColumnCount, getRowCount, getValueAt`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public DefaultTableModel(ValueModel rowsModel)

    - #### public DefaultTableModel(ValueModel rowsModel, ValueModel rowModel)

  - ### Method Detail

    - #### public DefaultTableColumn addClosureColumn(Object headerValue, Closure readClosure, Closure writeClosure, Class type)

      Adds a closure based column to the table

    - #### public DefaultTableColumn addColumn(Object headerValue, ValueModel columnValueModel)

    - #### public DefaultTableColumn addColumn(Object headerValue, Object identifier, ValueModel columnValueModel)

    - #### public void addColumn(DefaultTableColumn column)

      Adds a new column definition to the table

    - #### public DefaultTableColumn addPropertyColumn(Object headerValue, String property, Class type)

      Adds a property model column to the table

    - #### public DefaultTableColumn addPropertyColumn(Object headerValue, String property, Class type, boolean editable)

      Adds a property model column to the table

    - #### public Class getColumnClass(int columnIndex)

    - #### public int getColumnCount()

    - #### public List getColumnList()

      Returns:
        the column definitions.

    - #### public TableColumnModel getColumnModel()

    - #### protected ValueModel getColumnModel(int columnIndex)

    - #### public String getColumnName(int columnIndex)

    - #### public int getRowCount()

    - #### public ValueModel getRowModel()

    - #### protected List getRows()

    - #### public ValueModel getRowsModel()

    - #### public Object getValueAt(int rowIndex, int columnIndex)

    - #### public boolean isCellEditable(int rowIndex, int columnIndex)

    - #### public void removeColumn(DefaultTableColumn column)

      Removes a column definition from the table

    - #### public void setValueAt(Object value, int rowIndex, int columnIndex)